<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:choose>
	<c:when test="${countApprovedReviews > 0}">
		<p class="productReviewStars">
			<bean:message key="product.averageCustomerReview" bundle="/product"/>:
			<span class="starImages">
				<c:forEach var="i" begin="1" end="${wholeStars}" step="1">
					<img src="${pageContext.request.contextPath}/images/reviewStar.jpg" alt="star"/>
				</c:forEach>
				<c:if test="${halfStars > 0}">
					<img src="${pageContext.request.contextPath}/images/reviewHalfStar.png" alt="half-star"/>
				</c:if>
			</span>
			(${countApprovedReviews}&nbsp;<c:choose><c:when test="${countApprovedReviews == 1}"><bean:message key="product.productReviewLower" bundle="/product"/></c:when><c:otherwise><bean:message key="product.productReviewsLower" bundle="/product"/></c:otherwise></c:choose>)
		</p>
	</c:when>
	<c:otherwise>
		<p><bean:message key="product.noReviews" bundle="/product"/></p>
	</c:otherwise>
</c:choose>
<p id="submitAReview">
	<ssc:link href="${secureURL}/ProductReviewForm.do?code=${product.code}" styleClass="btn btn-default">
		<bean:message key="product.submitYourReview" bundle="/product"/>
	</ssc:link>
</p>
<c:if test="${countApprovedReviews > 0}">
	<p class="productReviewContainer">
		<logic:iterate name="productReviews" id="review" indexId="index">
			<c:if test="${review.status == 1}">
				<div class="productReview">
					<h4 class="productReviewHeader"><bean:message key="product.productReviewBy" bundle="/product"/>: ${review.nickname},
						<fmt:parseDate value="${review.created}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="created" parseLocale="en_US" />
						<fmt:formatDate value="${created}" type="date" dateStyle="Medium"/>
						&nbsp;
						<span class="starImages">
							<c:forEach var="i" begin="1" end="${review.rating}" step="1">
								<img src="${pageContext.request.contextPath}/images/reviewStar.jpg" alt="star"/>
							</c:forEach>
						</span>
					</h4>
					${review.review}
				</div>
			</c:if>
		</logic:iterate>
	</p>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
