<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start additionalImages.jsp -->
<%
  java.util.Map settings = (java.util.Map) request.getAttribute("productSettings");
  java.util.ArrayList keys = new java.util.ArrayList(settings.keySet());
  java.util.Collections.sort(keys);
  pageContext.setAttribute("keys", keys);
%>
<c:set var="counter" value="1" />
<c:forEach items="${keys}" var="thisKey">
	<c:if test="${productSettings[thisKey].type eq 'IMAGE' and productSettings[thisKey].name eq 'SMALL'}">
		<%-- set variable for large Image --%>
		<c:set var="tempLength" value="${fn:length(fn:split(productSettings[thisKey].description,'/'))}" scope="page" />
		<c:set var="tempImage" value="${fn:split(productSettings[thisKey].description,'/')[tempLength-1]}" scope="page" />
		<c:set var="tempLargeImage" value="${fn:substringAfter(tempImage,'SM')}" scope="page" />
		<%-- Now make sure we have a large image available --%>
		<c:forEach items="${keys}" var="thisKey2">
			<c:if test="${productSettings[thisKey2].type eq 'IMAGE' and productSettings[thisKey2].name eq 'LARGE' and fn:contains(productSettings[thisKey2].description,tempLargeImage)}">
				<c:if test="${counter % 2 ne 0 && counter ne 1}"><div class="additionalImageSpacer"></div></c:if>
				<div class="additionalImage" style=" <c:if test="${counter eq 1}">clear: left</c:if>">
					<a onclick="window.open('<c:out value="${productSettings[thisKey2].description}"/>','_blank','height=400,width=500,scrollbars=yes'); return false;" target="_blank" href="<c:out value="${productSettings[thisKey2].description}"/>">
						<img src="<c:out value="${productSettings[thisKey].description}"/>"<c:if test="${!empty product.name}"> title="<c:out value="${product.name}"/>" alt="<c:out value="${productSettings[thisKey].mediumValue}"/>"</c:if>/>
					</a>
				</div>
				<c:set var="counter" value="${counter+1}" />
			</c:if>
		</c:forEach>
	</c:if>
</c:forEach>
<!-- End additionalImages.jsp -->
