<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start facetedSearch.jsp -->
<c:if test="${!empty requestScope.searchList.simpleFacetResultCollection}">
	<c:set var="incomingFacets" scope="request" value=",${fn:join(searchList.facets, ',')},"/>
	<div id="facetedSearch">
		<h3 id="facetedSearchHeading" class="header"><bean:message key="search.refineBy" bundle="/product" />:</h3>
		<form class="facetedSearchForm" method="get" action="<c:out value="${customerURL}${linkBase}"/>">
			<c:if test="${!empty param.searchString}"><input type="hidden" name="searchString" value="${param.searchString}"/></c:if>
			<c:if test="${!empty param.sortBy}"><input type="hidden" name="sortBy" value="${param.sortBy}"/></c:if>
			<c:if test="${!empty requestScope.currentCategory.code}"><input type="hidden" name="code" value="${currentCategory.code}"/></c:if>
			<c:if test="${!empty manufacturer.code}"><input type="hidden" name="code" value="${manufacturer.code}"/></c:if>
			<c:forEach var="facetRoot" items="${requestScope.searchList.simpleFacetResultCollection}">
				<c:forEach var="facetTopGroup" items="${facetRoot.subResults}">
					<c:set var="facetTopGroup" scope="request" value="${facetTopGroup}"/>
					<c:if test="${fn:endsWith(facetTopGroup.facetName, 'category')}">
							<c:set var="displayedHeader" scope="request" value="${false}"/>
							<tiles:insert page="/WEB-INF/layouts/default/product/facetedSearchCategories.jsp">
								<tiles:put name="facetGroup" beanName="facetTopGroup"/>
							</tiles:insert>
							<c:if test="${requestScope.displayedHeader}">
									</ul>
								</div>
							</c:if>
					</c:if>
				</c:forEach>
			</c:forEach>
			<c:forEach var="facetRoot" items="${requestScope.searchList.simpleFacetResultCollection}">
				<c:forEach var="facetTopGroup" items="${facetRoot.subResults}">
					<c:set var="facetTopGroup" scope="request" value="${facetTopGroup}"/>
					<c:if test="${fn:endsWith(facetTopGroup.facetName, 'manufacturer')}">
							<tiles:insert page="/WEB-INF/layouts/default/product/facetedSearchManufacturers.jsp"/>
					</c:if>
				</c:forEach>
			</c:forEach>
			<c:forEach var="facetRoot" items="${requestScope.searchList.simpleFacetResultCollection}">
				<c:forEach var="facetTopGroup" items="${facetRoot.subResults}">
					<c:set var="facetTopGroup" scope="request" value="${facetTopGroup}"/>
					<c:if test="${fn:endsWith(facetTopGroup.facetName, 'priceRange')}">
							<tiles:insert page="/WEB-INF/layouts/default/product/facetedSearchPriceRange.jsp"/>
					</c:if>
				</c:forEach>
			</c:forEach>
			<c:forEach var="facetRoot" items="${requestScope.searchList.simpleFacetResultCollection}">
				<c:forEach var="facetTopGroup" items="${facetRoot.subResults}">
					<c:set var="facetTopGroup" scope="request" value="${facetTopGroup}"/>
					<c:if test="${fn:endsWith(facetTopGroup.facetName, 'averageRating')}">
							<tiles:insert page="/WEB-INF/layouts/default/product/facetedSearchAverageRating.jsp"/>
					</c:if>
				</c:forEach>
			</c:forEach>
			<c:forEach var="facetRoot" items="${requestScope.searchList.simpleFacetResultCollection}">
				<c:forEach var="facetTopGroup" items="${facetRoot.subResults}">
					<c:set var="facetTopGroup" scope="request" value="${facetTopGroup}"/>
					<c:if test="${!fn:endsWith(facetTopGroup.facetName, 'category') && !fn:endsWith(facetTopGroup.facetName, 'manufacturer') && !fn:endsWith(facetTopGroup.facetName, 'priceRange') && !fn:endsWith(facetTopGroup.facetName, 'averageRating')}">
							<tiles:insert page="/WEB-INF/layouts/default/product/facetedSearchOther.jsp"/>
					</c:if>
				</c:forEach>
			</c:forEach>
			<div class="refineButton">
				<span class="buttonWrap"><input class="button" type="submit" value="<bean:message key="search.refine" bundle="/product" />"/></span>
			</div>
		</form>
	</div>
</c:if>
<!-- End facetedSearch.jsp -->
