<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start userSettingFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'description' or field eq 'textValue'}">
							<textarea rows="2" name="<c:out value="${field}" />"><c:out value="${item[field]}" /></textarea>
						</c:when>
						<c:when test="${field eq 'valueType'}">
							<html:select name="item" property="valueType">
								<html:option value="integerValue">integerValue</html:option>
								<html:option value="smallValue">smallValue</html:option>
								<html:option value="mediumValue">mediumValue</html:option>
								<html:option value="textValue">textValue</html:option>
							</html:select>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
					<c:out value="${item[field]}"/>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End userSettingFieldColumns.jsp -->
