<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start productCloneForm.jsp -->
<html:form action="/ProductCloneProcess" method="post"> 
	<html:hidden name="productCloneForm" property="productID" />
	<table class="addEditTable settingsTable">
		<tr>
			<td class="genericLabel">
				Product ID:
			</td>
			<td>
				<bean:write name="productCloneForm" property="productID" />
			</td>
		</tr>
		<tr class="altRow">
			<td class="genericLabel">
				Attributes:
			</td>
			<td>
				<html:radio name="productCloneForm" property="cloneAttributes" value="none"/> Don't Clone Attributes<br/>
				<html:radio name="productCloneForm" property="cloneAttributes" value="assign"/> Assign Existing Attributes<br/>
				<html:radio name="productCloneForm" property="cloneAttributes" value="copy"/> Create New Attributes<br/>
			</td>
		</tr>
		<tr>
			<td class="genericLabel">
				Categories:
			</td>
			<td>
				<html:radio name="productCloneForm" property="cloneCategories" value="none"/> Don't Clone Categories<br/>
				<html:radio name="productCloneForm" property="cloneCategories" value="assign"/> Assign Existing Categories<br/>
			</td>
		</tr>
		<tr class="altRow">
			<td class="genericLabel">
				Related Products:
			</td>
			<td>
				<html:radio name="productCloneForm" property="cloneRelatedProducts" value="none"/> Don't Clone Related Products<br/>
				<html:radio name="productCloneForm" property="cloneRelatedProducts" value="assign"/> Assign Existing Related Products<br/>
			</td>
		</tr>
		<tr>
			<td class="genericLabel">
				Code Prefix:
			</td>
			<td>
				<html:text name="productCloneForm" property="codePrefix"/><br/>
				Used for the new product code and any new attribute codes
			</td>
		</tr>
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" name="editProductSubmit" class="button" value="Clone Product" />
		</div>
	</logic:equal>
</html:form>
<!-- End productCloneForm.jsp -->
