<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start skuEditForm.jsp -->
<html:form action="/SKUEdit" method="post">
	<html:hidden name="skuAddEditForm" property="skuID" />
	<table class="addEditTable settingsTable">
		<tr>
			<td class="genericLabel">
				SKU ID:
			</td>
			<td>
				<bean:write name="skuAddEditForm" property="skuID" />
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="skuDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/SKUDelete.do" method="post">
		<input type="hidden" name="skuID" value="<bean:write name="skuAddEditForm" property="skuID" />" />
		<input type="hidden" name="skuNumber" value="<bean:write name="skuAddEditForm" property="skuNumber" />" />
		<c:if test="${!empty skuAddEditForm.parentIDField}">
			<input type="hidden" name="parentIDField" value="<bean:write name="skuAddEditForm" property="parentIDField" />" />
			<input type="hidden" name="productID" value="<bean:write name="skuAddEditForm" property="productID" />" />
		</c:if>
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<!-- End skuEditForm.jsp -->
