<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<p class="instructions"><bean:message key="customer.cimManageProfilesInstructions" bundle="/customer"/></p>
<div id="cimProfileLayout">
	<c:choose>
		<c:when test="${requestScope.useCIMAPI}">
			<c:set var="fromPage" value="account" scope="request"/>
			<div id="paymentProfilesDisplay">&nbsp;</div>
		</c:when>
		<c:otherwise>
			<c:if test="${!empty cimAccountToken}">
				<c:set var="fromPage" value="account" scope="request"/>
				<logic:empty name="cimPaymentProfiles">
					<div><bean:message key="customer.cimNoPaymentMethods" bundle="/customer"/></div>
				</logic:empty>
				<logic:notEmpty name="cimPaymentProfiles">
					<ssc:insert page="/WEB-INF/layouts/default-html5/customer/cimManageProfilesList.jsp"/>
				</logic:notEmpty>
			</c:if>
		</c:otherwise>
	</c:choose>
	
	<a name="cimAboveHostedFormA"></a>
	<c:if test="${!empty cimAccountToken and !requestScope.useCIMAPI}">
	<c:choose>
		<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Embedded IFrame'}">
			<ssc:insert page="/WEB-INF/layouts/default-html5/payment/authorizeNetCIMEmbeddedIFrame.jsp"/>
		</c:when>
		<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Popup IFrame'}">
			<c:choose>
				<c:when test="${settings.map.authorizeNetCIMFullManageWindow eq '1'}">
					<button class="btn btn-primary" onclick="AuthorizeNetPopup.openManagePopup();return false;"><bean:message key="customer.cimAddNewPaymentMethod" bundle="/customer"/></button>
				</c:when>
				<c:otherwise>
					<button class="btn btn-primary" onclick="AuthorizeNetPopup.openAddPaymentPopup();return false;"><bean:message key="customer.cimAddNewPaymentMethod" bundle="/customer"/></button>
				</c:otherwise>
			</c:choose>
			<ssc:insert page="/WEB-INF/layouts/default-html5/payment/authorizeNetCIMPopupIFrame.jsp"/>
		</c:when>
		<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Redirect'}">
			<button class="btn btn-primary" onclick="ssRedirectManage();"><bean:message key="customer.cimAddNewPaymentMethod" bundle="/customer"/></button>
			<ssc:insert page="/WEB-INF/layouts/default-html5/payment/authorizeNetCIMRedirect.jsp"/>
		</c:when>
	</c:choose>
	</c:if>
</div>
<!-- End ${pageScope.sscCurrentPage} -->

