<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
	<c:choose>
		<c:when test="${showSIMAPIBillToThisAddress}">
			<div class="radio">
				<label for="billToThisAddress"><bean:message key="payment.billToThisAddress" bundle="/payment"/></label>
				<input type="radio" id="billToThisAddress" name="cimPaymentProfileID" value="0" />
			</div>
		</c:when>
		<c:when test="${showShipToThisAddress}">
			<%-- Address Book --%>
			<div class="radio">
				<label for="addressBookCheckoutNewBillingContinueRadio"><bean:message key="addressBook.billToThisAddress" bundle="/customer"/></label>
				<input type="radio" id="addressBookCheckoutNewBillingContinueRadio" name="customerBillingAddressID" value="" />
			</div>
		</c:when>
	</c:choose>

	<logic:match name="settings" property="value(billingPrompt)" value="firstName">
	<div class="form-group">
		<label for="billingFirstName" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="firstName"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingFirstName" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingFirstName" class="textbox form-control input-sm" name="billingFirstName" value="${addressForm.billingFirstName}"
			<logic:match name="settings" property="value(billingRequired)" value="firstName">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="lastName">
	<div class="form-group">
		<label for="billingLastName" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="lastName"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingLastName" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingLastName" class="textbox form-control input-sm" name="billingLastName" value="${addressForm.billingLastName}"
			<logic:match name="settings" property="value(billingRequired)" value="lastName">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="organization">
	<div class="form-group">
		<label for="billingOrganization" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="organization"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingOrganization" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingOrganization" class="textbox form-control input-sm" name="billingOrganization" value="${addressForm.billingOrganization}"
			<logic:match name="settings" property="value(billingRequired)" value="organization">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="address1">
	<div class="form-group">
		<label for="billingAddress1" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="address1"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingAddress1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingAddress1" class="textbox form-control input-sm" name="billingAddress1" value="${addressForm.billingAddress1}"
			<logic:match name="settings" property="value(billingRequired)" value="address1">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="address2">
	<div class="form-group">
		<label for="billingAddress2" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="address2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingAddress2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingAddress2" class="textbox form-control input-sm" name="billingAddress2" value="${addressForm.billingAddress2}"
			<logic:match name="settings" property="value(billingRequired)" value="address2">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="city">
	<div class="form-group">
		<label for="billingCity" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="city"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingCity" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingCity" class="textbox form-control input-sm" name="billingCity" value="${addressForm.billingCity}"
			<logic:match name="settings" property="value(billingRequired)" value="city">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="state">
	<div class="form-group">
		<label for="billingState" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="state"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingState" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<html:select styleId="billingState" name="addressForm" property="billingState" styleClass="selectboxWide form-control input-sm">
				<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
				<option value="">-------------</option>
				<html:options collection="states" property="code" labelProperty="name"/>
			</html:select>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="other">
	<div class="form-group">
		<label for="billingOther" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="other"> required</logic:match>">
			<bean:message key="orderForm.billingOther" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingOther" class="textbox form-control input-sm" name="billingOther" value="${addressForm.billingOther}"
			<logic:match name="settings" property="value(billingRequired)" value="other">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="postalCode">
	<div class="form-group">
		<label for="billingPostalCode" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="postalCode"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingPostalCode" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingPostalCode" class="textbox form-control input-sm" name="billingPostalCode" value="${addressForm.billingPostalCode}"
			<logic:match name="settings" property="value(billingRequired)" value="postalCode">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="country">
	<div class="form-group">
		<label for="billingCountry" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="country"> requiredLabel</logic:match>">
		<bean:message key="orderForm.billingCountry" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<html:select styleId="billingCountry" name="addressForm" property="billingCountry" styleClass="selectboxWide form-control input-sm">
				<logic:notMatch name="settings" property="value(billingRequired)" value="country">
					<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
					<option value="">-------------</option>
				</logic:notMatch>
				<html:options collection="countries" property="code" labelProperty="name"/>
			</html:select>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="phone1">
	<div class="form-group">
		<label for="billingPhone1" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="phone1"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingPhone1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="tel" id="billingPhone1" class="textbox form-control input-sm" name="billingPhone1" value="${addressForm.billingPhone1}"
			<logic:match name="settings" property="value(billingRequired)" value="phone1">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="phone2">
	<div class="form-group">
		<label for="billingPhone2" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="phone2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingPhone2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="tel" id="billingPhone2" class="textbox form-control input-sm" name="billingPhone2" value="${addressForm.billingPhone2}"
			<logic:match name="settings" property="value(billingRequired)" value="phone2">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="email1">
	<div class="form-group">
		<label for="billingEmail1" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="email1"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingEmail1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="email" id="billingEmail1" class="textbox form-control input-sm" name="billingEmail1" value="${addressForm.billingEmail1}"
			<logic:match name="settings" property="value(billingRequired)" value="email1">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="email2">
	<div class="form-group">
		<label for="billingEmail2" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="email2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingEmail2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="email" id="billingEmail2" class="textbox form-control input-sm" name="billingEmail2" value="${addressForm.billingEmail2}"
			<logic:match name="settings" property="value(billingRequired)" value="email2">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra1">
	<div class="form-group">
		<label for="billingExtra1" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="extra1"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingExtra1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingExtra1" class="textbox form-control input-sm" name="billingExtra1" value="${addressForm.billingExtra1}"
			<logic:match name="settings" property="value(billingRequired)" value="extra1">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra2">
	<div class="form-group">
		<label for="billingExtra2" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="extra2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingExtra2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingExtra2" class="textbox form-control input-sm" name="billingExtra2" value="${addressForm.billingExtra2}"
			<logic:match name="settings" property="value(billingRequired)" value="extra2">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra3">
	<div class="form-group">
		<label for="billingExtra3" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="extra3"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingExtra3" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingExtra3" class="textbox form-control input-sm" name="billingExtra3" value="${addressForm.billingExtra3}"
			<logic:match name="settings" property="value(billingRequired)" value="extra3">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra4">
	<div class="form-group">
		<label for="billingExtra4" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="extra4"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingExtra4" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingExtra4" class="textbox form-control input-sm" name="billingExtra4" value="${addressForm.billingExtra4}"
			<logic:match name="settings" property="value(billingRequired)" value="extra4">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra5">
	<div class="form-group">
		<label for="billingExtra5" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="extra5"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingExtra5" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="billingExtra5" class="textbox form-control input-sm" name="billingExtra5" value="${addressForm.billingExtra5}"
			<logic:match name="settings" property="value(billingRequired)" value="extra5">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="notes">
	<div class="form-group">
		<label for="billingNotes" class="control-label col-sm-4 <logic:match name="settings" property="value(billingRequired)" value="notes"> requiredLabel</logic:match>">
			<bean:message key="orderForm.billingNotes" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<textarea id="billingNotes" class="textbox form-control input-sm" name="billingNotes" value="${addressForm.billingNotes}"
			<logic:match name="settings" property="value(billingRequired)" value="notes">required</logic:match>></textarea>
		</div>
	</div>
	</logic:match>
<!-- End ${pageScope.sscCurrentPage} -->
