<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="java.util.Calendar,java.util.Date" %> 
<!-- Start cimManageProfilesList.jsp -->
<c:choose>
	<c:when test="${!empty cimPaymentProfiles and (fromPage eq 'payment' or fromPage eq 'combo')}">
		<div class="cimChoosePaymentMethod"><bean:message key="paymentForms.cimChoosePaymentMethod" bundle="/order"/></div>
	</c:when>
	<c:when test="${empty cimPaymentProfiles and (fromPage eq 'payment' or fromPage eq 'combo')}">
		<div><bean:message key="paymentForms.cimNoPaymentMethods" bundle="/order"/></div>
	</c:when>
</c:choose>
<c:set var="localCimEditLink" value=""/>
<c:if test="${settings.map.authorizeNetCIMHostedMethod eq 'Embedded IFrame'}">
	<c:set var="localCimEditLink" value="cimAboveHostedFormA"/>
</c:if>
<c:if test="${!empty cimPaymentProfiles or requestScope.useCIMAPI}">
	<c:if test="${!empty cimPaymentProfiles}">
		<table id="profilesTable" class="grid accountTable" summary="List of profiles.">
			<tr class="listHeading">
				<c:if test="${fromPage ne 'account'}">
					<th>&nbsp;</th>
				</c:if>
				<th>&nbsp;</th>
				<th><bean:message key="cimProfile.accountNumber" bundle="/customer"/></th>
				<th><bean:message key="cimProfile.accountName" bundle="/customer"/></th>
				<th><bean:message key="cimProfile.accountAddress" bundle="/customer"/></th>
				<th><bean:message key="cimProfile.accountPhone" bundle="/customer"/></th>
			</tr>
			<c:forEach var="index" begin="0" end="${fn:length(cimPaymentProfiles)-1}" step="1">
				<c:set var="reverseIndex" value="${fn:length(cimPaymentProfiles)-1-index}"/>
				<c:set var="cimPaymentProfile" value="${cimPaymentProfiles[reverseIndex]}"/>
				<c:choose>
					<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				
				<tr id="cimProfile-<c:out value="${cimPaymentProfile.customerPaymentProfileId}"/>" class="cimProfile <c:out value="${thisClass}"/>">
					<c:if test="${fromPage ne 'account'}">
						<td class="cimProfileChoose <c:out value="${thisClass}"/>">
							<input type="radio" id="<c:out value="${cimPaymentProfile.customerPaymentProfileId}${index}"/>" name="cimPaymentProfileID" value="<c:out value="${cimPaymentProfile.customerPaymentProfileId}"/>" <c:if test="${index == 0}">checked="checked"</c:if>/>
						</td>
					</c:if>
					<td class="cimProfileEdit <c:out value="${thisClass}"/>">
						<c:choose>
							<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Embedded IFrame'}">
								[<a href='#<c:out value="${localCimEditLink}"/>' onclick="ssCimOpenPopup('<c:out value="${cimPaymentProfile.customerPaymentProfileId}"/>');"><bean:message key="cimProfile.editPaymentMethod" bundle="/customer"/></a>]
							</c:when>
							<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Popup IFrame'}">
								[<a href='#<c:out value="${localCimEditLink}"/>' onclick="ssCimOpenPopup('<c:out value="${cimPaymentProfile.customerPaymentProfileId}"/>');"><bean:message key="cimProfile.editPaymentMethod" bundle="/customer"/></a>]
							</c:when>
							<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Redirect'}">
								[<a href='#<c:out value="${localCimEditLink}"/>' onclick="ssRedirectManage('editPayment', '<c:out value="${cimPaymentProfile.customerPaymentProfileId}"/>');"><bean:message key="cimProfile.editPaymentMethod" bundle="/customer"/></a>]
							</c:when>
							<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'API Only'}">
								[<a id="cimProfileEditLink-${cimPaymentProfile.customerPaymentProfileId}" class="cimProfileEditLink" href='#'><bean:message key="cimProfile.editPaymentMethod" bundle="/customer"/></a>]
							</c:when>
						</c:choose>
						<c:if test="${settings.map.authorizeNetCIMAllowDeletePayments eq '1'}">
							<c:choose>
								<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'API Only'}">
									[<a id="cimProfileDeleteLink-${cimPaymentProfile.customerPaymentProfileId}" class="cimProfileDeleteLink" href='#'><bean:message key="cimProfile.deletePaymentMethod" bundle="/customer"/></a>]
								</c:when>
								<c:otherwise>
									[<a href='#' onclick="ssDeletePaymentMethod('<c:out value="${cimPaymentProfile.customerPaymentProfileId}"/>');"><bean:message key="cimProfile.deletePaymentMethod" bundle="/customer"/></a>]
								</c:otherwise>
							</c:choose>
						</c:if>
					</td>
					<td class="cimProfileCard <c:out value="${thisClass}"/>">
						<c:out value="${cimPaymentProfile.cardNumber}"/>
					</td>
					<td class="cimProfileName <c:out value="${thisClass}"/>">
						<c:choose>
							<c:when test="${!empty cimPaymentProfile.address}">
								<span id="cimDetail-firstName-${cimPaymentProfile.customerPaymentProfileId}"><c:out value="${cimPaymentProfile.address.firstName}" /></span>&nbsp;<span id="cimDetail-lastName-${cimPaymentProfile.customerPaymentProfileId}"><c:out value="${cimPaymentProfile.address.lastName}" /></span><c:if test="${!empty cimPaymentProfile.address.company}">,&nbsp;<span id="cimDetail-company-${cimPaymentProfile.customerPaymentProfileId}"><c:out value="${cimPaymentProfile.address.company}" /></span></c:if>
							</c:when>
							<c:otherwise>
								&nbsp;
							</c:otherwise>
						</c:choose>
					</td>
					<td class="cimProfileAddress <c:out value="${thisClass}"/>">
						<c:choose>
							<c:when test="${!empty cimPaymentProfile.address}">
								<span id="cimDetail-address-${cimPaymentProfile.customerPaymentProfileId}"><c:out value="${cimPaymentProfile.address.address}" /></span>
								<c:if test="${!empty cimPaymentProfile.address.city}">,&nbsp;<span id="cimDetail-city-${cimPaymentProfile.customerPaymentProfileId}"><c:out value="${cimPaymentProfile.address.city}" /></span></c:if>
								<c:if test="${!empty cimPaymentProfile.address.state}">,&nbsp;<span id="cimDetail-state-${cimPaymentProfile.customerPaymentProfileId}"><c:out value="${cimPaymentProfile.address.state}" /></span></c:if>
								<c:if test="${!empty cimPaymentProfile.address.country}">,&nbsp;<span id="cimDetail-country-${cimPaymentProfile.customerPaymentProfileId}"><c:out value="${cimPaymentProfile.address.country}" /></span></c:if>
								<c:if test="${!empty cimPaymentProfile.address.zip}">,&nbsp;<span id="cimDetail-zip-${cimPaymentProfile.customerPaymentProfileId}"><c:out value="${cimPaymentProfile.address.zip}" /></span></c:if>
							</c:when>
							<c:otherwise>
								&nbsp;
							</c:otherwise>
						</c:choose>
					</td>
					<td class="cimProfilePhone <c:out value="${thisClass}"/>">
						<c:choose>
							<c:when test="${!empty cimPaymentProfile.address}">
								<span id="cimDetail-phone-${cimPaymentProfile.customerPaymentProfileId}"><c:out value="${cimPaymentProfile.address.phoneNumber}" /></span>
							</c:when>
							<c:otherwise>
								&nbsp;
							</c:otherwise>
						</c:choose>
					</td>
				</tr>
			</c:forEach>
		</table>
	</c:if>
	<c:if test="${settings.map.authorizeNetCIMHostedMethod eq 'API Only'}">
		<div class="cimProfileAddLinkDiv">
			<a id="cimProfileAddLink" class="cimProfileAddLink" href='#'><bean:message key="customer.cimAddNewPaymentMethod" bundle="/customer"/></a>
		</div>
	</c:if>
</c:if>
<!-- End cimManageProfilesList.jsp -->
