<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start creSecurePaymentForm.jsp -->
<bean:define id="displayCheckoutConfirm" name="settings" property="value(displayCheckoutConfirm)" type="java.lang.String" />
<fieldset id="basicPaymentForm" class="paymentInformation crePaymentForm">
	<c:if test="${creDisplayFormPart eq 'paymentButton'}">
		<legend><bean:message key="paymentForms.creHeadingExisting" bundle="/order"/></legend>
		<p class="instructions"><bean:message key="paymentForms.cimInstructions" bundle="/order"/></p>
	</c:if>
	<c:if test="${creDisplayFormPart eq 'creForm'}">
		<legend><bean:message key="paymentForms.creHeadingNew" bundle="/order"/></legend>
		<p class="instructions"><bean:message key="paymentForms.cimInstructions" bundle="/order"/></p>
		<div class="crePaymentErrors"></div>
	</c:if>
	<%-- If they chose an address book item with a card, use it.  The token should be stored in order.paymentProfileID --%>
	<c:if test="${creDisplayFormPart eq 'paymentButton'}">
		<c:choose>
			<c:when test="${!empty creCustomerAddress }">
				<logic:notPresent name="suppressSubmitButton">
					<input type="hidden" name="creditCardNumberDisplay" value="${creCustomerAddress.creditCardNumberDisplay}"/>
					<div id="creSecurePaymentInfo">
						<p><bean:message key="paymentForms.creUseChosenPaymentToken" bundle="/order"/></p>
						<span><c:out value="${creCustomerAddress.creditCardName}"/></span><br/>
						<span><c:out value="${creCustomerAddress.creditCardNumberDisplay}"/></span>&nbsp;<span><c:out value="${creCustomerAddress.creditCardDate}"/></span><br/>
					</div>
					<div id="creSecurePaymentButton" class="paymentButton">
						<c:if test="${displayCheckoutConfirm eq '0'}">
							<input id="basicPaymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
						</c:if>
						<c:if test="${displayCheckoutConfirm eq '1'}">
							<input id="basicPaymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
						</c:if>
					</div>
				</logic:notPresent>
			</c:when>
			<c:otherwise>
				<%-- Set paymentProfileID token, but then couldn't find it on the next request or need to rebuild form URL.  
					Make them go back to bill/ship to either choose or create the creSecureFormURL again
				--%>
				<bean:message key="paymentForms.creNeedToRebuildForm" bundle="/order"/>
				<html:link href="${secureURL}/Checkout.do">
					<bean:message key="paymentForms.continueButton" bundle="/order"/>
				</html:link>
			</c:otherwise>
		</c:choose>
	</c:if>
	<c:if test="${creDisplayFormPart eq 'creForm' }">
		<%-- show form --%>
		<p><bean:message key="paymentForms.creUseNewPaymentInfo" bundle="/order"/></p>			
		<iframe src="${creSecureFormURL}" class="creSecureIframe" <c:if test="${settings.map.creSecureCollectAddress eq '0'}">style="min-height: 245px"</c:if>></iframe>
		<div id="creLoadingBar"></div>
	</c:if>
</fieldset>
<!-- End creSecurePaymentForm.jsp -->
