<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start categories.jsp -->
<tiles:useAttribute name="categories"/>
<tiles:useAttribute name="categoryCollection"/>
<c:if test="${!empty categoryCollection and !categoryCollection['empty']}">
	<logic:iterate name="categoryCollection" id="category">
		<c:if test="${category.isActive and category.categoryTreeID eq 1}">
			<c:if var="parentMatch" test="${false}"/>
			<c:forTokens var="thisCategoryID" items="${sessionScope.currentCategory.parentString}" delims=",">
				<c:if var="parentMatch" test="${parentMatch or thisCategoryID == category.categoryID}"/>
			</c:forTokens>
			<c:if test="${!empty category.name}">
				<%--Define the style class for the a tag--%>
				<c:set var="styleClass" value="inactive"/>
				<c:choose>
					<c:when test="${sessionScope.currentCategory.code eq category.code and !empty requestScope.currentCategory}">
						<c:set var="styleClass" value="active"/>
					</c:when>
					<c:when test="${sessionScope.currentCategory.code eq category.code and empty requestScope.currentCategory}">
						<c:set var="styleClass" value="parentActiveSession"/>
					</c:when>
					<c:when test="${parentMatch}">
						<c:set var="styleClass" value="parentActive"/>
					</c:when>
				</c:choose>
				<li id="categoryTree-<c:out value="${category.code}"/>" class="<c:out value="${styleClass}"/>">
					<c:set var="linkAction" value="Category.do"/>
					<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
					<html:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code" styleClass="${styleClass}">
						<c:out value="${category.name}" escapeXml="false"/>
					</html:link>
					<c:if test="${!empty category.subcategoryCollection and !category.subcategoryCollection['empty']}">
					<c:if test="${parentMatch or sessionScope.currentCategory.code eq category.code}">
						<ul class="categoryTreeCategories">
							<tiles:insert attribute="categories" flush="false">
								<tiles:put name="categories" beanName="categories"/>
								<tiles:put name="categoryCollection" beanName="category" beanProperty="subcategoryCollection"/>
							</tiles:insert>
						</ul>
					</c:if>
					</c:if>
				</li>
			</c:if>
		</c:if>
	</logic:iterate>
</c:if>
<!-- End categories.jsp -->
