package com.softslate.commerce.customer.json;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

import com.google.gson.annotations.Expose;
public class JsonResult {

	@Expose
	public Boolean success;
	@Expose
	public Set<String> errors = new HashSet<String>();
	@Expose
	public Set<String> messages = new HashSet<String>();
	@Expose
	public Map<String, Object> jsonResult = new HashMap<String, Object>();

	@Override
	public String toString() {
		return super.toString() + ": success: " + success + "; errors: " + errors + "; messages: " + messages
				+ "; jsonResult: " + jsonResult;
	}
}