package com.softslate.commerce.daos.order;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries related to order discounts.
 * 
 * @author David Tobey
 * 
 */
public interface OrderDiscountGatewayDAO extends DAOInterface {
	abstract Map loadOrderDiscountsAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteOrderDiscounts(Map parameters,
			BusinessObjectFactory bof) throws Exception;
}
