<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />

<div id="productSettingsScreen">

	<!-- Edit Form -->
	<form name="settingsForm" action="<c:out value="${administratorURL}"/>/CategorySettingsProcessOther.do" method="post">
		<html:hidden name="categorySettingsFormOther" property="categoryID"/>
		
		<table class="tabDetails customSettings">
			<c:set var="thisClass" scope="request" value="altRow"/>
			<% String codeList = ""; %>
			<logic:iterate name="categorySettings" id="settingRow" indexId="index">
				<logic:equal name="settingRow" property="type" value="OTHER">
					<bean:define id="thisCode" name="settingRow" property="code"/>
					<% codeList = codeList + "," + thisCode; %>
					<bean:define id="setting" name="settingRow" toScope="request"/>
					<c:choose><c:when test="${thisClass eq 'altRow'}"><c:set var="thisClass" scope="request" value=""/></c:when><c:otherwise><c:set var="thisClass" scope="request" value="altRow"/></c:otherwise></c:choose>
					<jsp:include page="categorySetting.jsp"/>
				</logic:equal>
			</logic:iterate>
			<bean:define id="codes" name="categorySettingsFormOther" property="code" type="java.lang.String[]"/>
			<bean:define id="names" name="categorySettingsFormOther" property="name" type="java.lang.String[]"/>
			<bean:define id="descriptions" name="categorySettingsFormOther" property="description" type="java.lang.String[]"/>
			<bean:define id="values" name="categorySettingsFormOther" property="value" type="java.lang.String[]"/>
			<bean:define id="valueTypes" name="categorySettingsFormOther" property="valueType" type="java.lang.String[]"/>
			<% 
				for (int i = 0; i < codes.length; i++) {
					if (codeList.indexOf("," + codes[i]) == -1) {
						java.util.Map settingRow = new java.util.HashMap();
						settingRow.put("code", codes[i]);
						settingRow.put("name", names[i]);
						settingRow.put("description", descriptions[i]);
						settingRow.put("integerValue", values[i]);
						settingRow.put("smallValue", values[i]);
						settingRow.put("mediumValue", values[i]);
						settingRow.put("textValue", values[i]);
						settingRow.put("valueType", valueTypes[i]);
						request.setAttribute("setting", settingRow);
			%>
						<c:choose><c:when test="${thisClass eq 'altRow'}"><c:set var="thisClass" scope="request" value=""/></c:when><c:otherwise><c:set var="thisClass" scope="request" value="altRow"/></c:otherwise></c:choose>
						<jsp:include page="categorySetting.jsp"/>
			<%		
					}
				}
			%>
		</table>
		<logic:equal name="editPermission" value="true">
			<input type="submit" class="button" name="settingsSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>"/>
		</logic:equal>
	</form>
	
</div>
